diff --git a/meta-isar/recipes-initramfs/initramfs-example/files/example.hook b/meta-isar/recipes-initramfs/initramfs-example/files/example.hook
index 0d84e7a9..ba848c92 100644
--- a/meta-isar/recipes-initramfs/initramfs-example/files/example.hook
+++ b/meta-isar/recipes-initramfs/initramfs-example/files/example.hook
@@ -3,6 +3,8 @@
 #
 # See "HOOK SCRIPTS" in initramfs-tools(7) for details.
 
+set -e
+
 PREREQ=""
 prereqs()
 {
diff --git a/meta-isar/recipes-initramfs/initramfs-example/files/example.script b/meta-isar/recipes-initramfs/initramfs-example/files/example.script
index 784fad9c..c55e9ea7 100644
--- a/meta-isar/recipes-initramfs/initramfs-example/files/example.script
+++ b/meta-isar/recipes-initramfs/initramfs-example/files/example.script
@@ -3,6 +3,8 @@
 #
 # See "BOOT SCRIPTS" in initramfs-tools(7) for details.
 
+set -e
+
 PREREQ=""
 prereqs()
 {
diff --git a/meta/recipes-core/isar-bootstrap/files/chroot-setup.sh b/meta/recipes-core/isar-bootstrap/files/chroot-setup.sh
index 41500110..f451f525 100644
--- a/meta/recipes-core/isar-bootstrap/files/chroot-setup.sh
+++ b/meta/recipes-core/isar-bootstrap/files/chroot-setup.sh
@@ -15,6 +15,8 @@
 #
 # SPDX-License-Identifier: GPL-2.0
 
+set -e
+
 usage() {
 	cat <<-EOF 1>&2
 		Script to setup and cleanup chroot environments.
diff --git a/meta/recipes-initramfs/initramfs-tee-ftpm-hook/files/tee-ftpm.hook b/meta/recipes-initramfs/initramfs-tee-ftpm-hook/files/tee-ftpm.hook
index b7f78592..e80f00b4 100644
--- a/meta/recipes-initramfs/initramfs-tee-ftpm-hook/files/tee-ftpm.hook
+++ b/meta/recipes-initramfs/initramfs-tee-ftpm-hook/files/tee-ftpm.hook
@@ -6,6 +6,9 @@
 #
 # SPDX-License-Identifier: MIT
 #
+
+set -e
+
 PREREQ="tee-supplicant"
 prereqs()
 {
diff --git a/meta/recipes-initramfs/initramfs-tee-ftpm-hook/files/tee-ftpm.script b/meta/recipes-initramfs/initramfs-tee-ftpm-hook/files/tee-ftpm.script
index 053fb046..3355a7e0 100644
--- a/meta/recipes-initramfs/initramfs-tee-ftpm-hook/files/tee-ftpm.script
+++ b/meta/recipes-initramfs/initramfs-tee-ftpm-hook/files/tee-ftpm.script
@@ -6,6 +6,9 @@
 #
 # SPDX-License-Identifier: MIT
 #
+
+set -e
+
 PREREQ="tee-supplicant"
 prereqs()
 {
diff --git a/meta/recipes-initramfs/initramfs-tee-supplicant-hook/files/tee-supplicant.hook b/meta/recipes-initramfs/initramfs-tee-supplicant-hook/files/tee-supplicant.hook
index 0af277b1..3e6adbed 100644
--- a/meta/recipes-initramfs/initramfs-tee-supplicant-hook/files/tee-supplicant.hook
+++ b/meta/recipes-initramfs/initramfs-tee-supplicant-hook/files/tee-supplicant.hook
@@ -6,6 +6,9 @@
 #
 # SPDX-License-Identifier: MIT
 #
+
+set -e
+
 PREREQ=""
 prereqs()
 {
diff --git a/meta/recipes-initramfs/initramfs-tee-supplicant-hook/files/tee-supplicant.script b/meta/recipes-initramfs/initramfs-tee-supplicant-hook/files/tee-supplicant.script
index fcb84817..ac01d7ec 100644
--- a/meta/recipes-initramfs/initramfs-tee-supplicant-hook/files/tee-supplicant.script
+++ b/meta/recipes-initramfs/initramfs-tee-supplicant-hook/files/tee-supplicant.script
@@ -6,6 +6,9 @@
 #
 # SPDX-License-Identifier: MIT
 #
+
+set -e
+
 PREREQ=""
 prereqs()
 {
diff --git a/meta/recipes-support/enable-fsck/files/postinst b/meta/recipes-support/enable-fsck/files/postinst
index 1c4c3bdb..67c51fc5 100644
--- a/meta/recipes-support/enable-fsck/files/postinst
+++ b/meta/recipes-support/enable-fsck/files/postinst
@@ -1,3 +1,5 @@
 #!/bin/sh
 
+set -e
+
 systemctl enable enable-fsck.service
diff --git a/meta/recipes-support/initramfs-fsck-hook/files/initramfs.fsck.ext4.hook b/meta/recipes-support/initramfs-fsck-hook/files/initramfs.fsck.ext4.hook
index 1bccc817..259b73b4 100644
--- a/meta/recipes-support/initramfs-fsck-hook/files/initramfs.fsck.ext4.hook
+++ b/meta/recipes-support/initramfs-fsck-hook/files/initramfs.fsck.ext4.hook
@@ -4,6 +4,9 @@
 # SPDX-License-Identifier: MIT
 
 #!/bin/sh
+
+set -e
+
 PREREQ=""
 
 prereqs()
diff --git a/meta/recipes-support/isar-exclude-docs/files/postinst b/meta/recipes-support/isar-exclude-docs/files/postinst
index 78e5d583..21b817d8 100644
--- a/meta/recipes-support/isar-exclude-docs/files/postinst
+++ b/meta/recipes-support/isar-exclude-docs/files/postinst
@@ -3,5 +3,7 @@
 # time and do not need to be "the first" package
 # what we delete needs to be in sync with the dpkg configuration we ship
 
+set -e
+
 find /usr/share/man/ ! -type d -exec rm -f {} \;
 find /usr/share/doc/ ! -type d ! -name "copyright" ! -name "changelog.*" -exec rm -f {} \;
diff --git a/scripts/isar-buildenv-internal b/scripts/isar-buildenv-internal
index 1f609a5e..817387cf 100755
--- a/scripts/isar-buildenv-internal
+++ b/scripts/isar-buildenv-internal
@@ -20,6 +20,9 @@
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
 # It is assumed ISARROOT is already defined when this is called
+
+set -e
+
 if [ -z "$ISARROOT" ]; then
     echo >&2 "Error: ISARROOT is not defined!"
     return 1
diff --git a/scripts/isar-setup-builddir b/scripts/isar-setup-builddir
index e5939b47..79179a01 100755
--- a/scripts/isar-setup-builddir
+++ b/scripts/isar-setup-builddir
@@ -19,6 +19,8 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
+set -e
+
 if [ -z "$BUILDDIR" ]; then
     echo >&2 "Error: The build directory (BUILDDIR) must be set!"
     exit 1
diff --git a/scripts/vm_smoke_test b/scripts/vm_smoke_test
index 5c16d863..f69b05c2 100755
--- a/scripts/vm_smoke_test
+++ b/scripts/vm_smoke_test
@@ -3,6 +3,8 @@
 # This software is a part of ISAR.
 # Copyright (C) 2015-2018 ilbers GmbH
 
+set -e
+
 VERBOSE="--show=test"
 TIMEOUT=300
 