diff --git a/meta-isar/conf/distro/raspios-bookworm-64.list b/meta-isar/conf/distro/raspios-bookworm-64.list
index bbdaa4c3..d9219940 100644
--- a/meta-isar/conf/distro/raspios-bookworm-64.list
+++ b/meta-isar/conf/distro/raspios-bookworm-64.list
@@ -1,9 +1,9 @@
 deb	http://deb.debian.org/debian bookworm main contrib non-free
 deb-src	http://deb.debian.org/debian bookworm main contrib non-free
-deb	http://deb.debian.org/debian-security/ bookworm-security/updates main contrib non-free
-deb-src	http://deb.debian.org/debian-security/ bookworm-security/updates main contrib non-free
+deb	http://deb.debian.org/debian-security bookworm-security/updates main contrib non-free
+deb-src	http://deb.debian.org/debian-security bookworm-security/updates main contrib non-free
 deb	http://deb.debian.org/debian bookworm-updates main contrib non-free
 deb-src	http://deb.debian.org/debian bookworm-updates main contrib non-free
 
-deb http://archive.raspberrypi.org/debian/ bookworm main
-deb-src http://archive.raspberrypi.org/debian/ bookworm main
+deb http://archive.raspberrypi.org/debian bookworm main
+deb-src http://archive.raspberrypi.org/debian bookworm main
diff --git a/meta-isar/conf/distro/raspios-bookworm.list b/meta-isar/conf/distro/raspios-bookworm.list
index ea3bc6e1..8807caa3 100644
--- a/meta-isar/conf/distro/raspios-bookworm.list
+++ b/meta-isar/conf/distro/raspios-bookworm.list
@@ -1,5 +1,5 @@
-deb http://raspbian.raspberrypi.org/raspbian/ bookworm main contrib non-free rpi
-deb-src http://raspbian.raspberrypi.org/raspbian/ bookworm main contrib non-free rpi
+deb http://raspbian.raspberrypi.org/raspbian bookworm main contrib non-free rpi
+deb-src http://raspbian.raspberrypi.org/raspbian bookworm main contrib non-free rpi
 
-deb http://archive.raspberrypi.org/debian/ bookworm main
-deb-src http://archive.raspberrypi.org/debian/ bookworm main
+deb http://archive.raspberrypi.org/debian bookworm main
+deb-src http://archive.raspberrypi.org/debian bookworm main
diff --git a/meta-isar/conf/distro/raspios-bullseye.list b/meta-isar/conf/distro/raspios-bullseye.list
index b6c8fd91..810b2753 100644
--- a/meta-isar/conf/distro/raspios-bullseye.list
+++ b/meta-isar/conf/distro/raspios-bullseye.list
@@ -1,5 +1,5 @@
-deb http://raspbian.raspberrypi.org/raspbian/ bullseye main contrib non-free rpi
-deb-src http://raspbian.raspberrypi.org/raspbian/ bullseye main contrib non-free rpi
+deb http://raspbian.raspberrypi.org/raspbian bullseye main contrib non-free rpi
+deb-src http://raspbian.raspberrypi.org/raspbian bullseye main contrib non-free rpi
 
-deb http://archive.raspberrypi.org/debian/ bullseye main
-deb-src http://archive.raspberrypi.org/debian/ bullseye main
+deb http://archive.raspberrypi.org/debian bullseye main
+deb-src http://archive.raspberrypi.org/debian bullseye main
diff --git a/meta-isar/conf/distro/ubuntu-common.inc b/meta-isar/conf/distro/ubuntu-common.inc
index 692732cc..d3374baa 100644
--- a/meta-isar/conf/distro/ubuntu-common.inc
+++ b/meta-isar/conf/distro/ubuntu-common.inc
@@ -40,4 +40,4 @@ SYSTEMD_BOOTLOADER_INSTALL:focal = "systemd:${DISTRO_ARCH}"
 SYSTEMD_BOOTLOADER_INSTALL:jammy = "systemd:${DISTRO_ARCH}"
 
 # snapshot mirror for reproducible builds
-DISTRO_APT_SNAPSHOT_PREMIRROR ??= "(http|https)://archive.ubuntu.com/(.*) https://snapshot.ubuntu.com/\2/${ISAR_APT_SNAPSHOT_DATE}/\n"
+DISTRO_APT_SNAPSHOT_PREMIRROR ??= "(http|https)://archive.ubuntu.com/(.*) https://snapshot.ubuntu.com/\2/${ISAR_APT_SNAPSHOT_DATE}\n"
diff --git a/meta/conf/distro/debian-bookworm.list b/meta/conf/distro/debian-bookworm.list
index cbc0ca3b..e5440d0f 100644
--- a/meta/conf/distro/debian-bookworm.list
+++ b/meta/conf/distro/debian-bookworm.list
@@ -1,8 +1,8 @@
 deb	http://deb.debian.org/debian bookworm main contrib non-free-firmware non-free
 deb-src	http://deb.debian.org/debian bookworm main contrib non-free-firmware non-free
 
-deb	http://deb.debian.org/debian-security/ bookworm-security main contrib non-free-firmware non-free
-deb-src	http://deb.debian.org/debian-security/ bookworm-security main contrib non-free-firmware non-free
+deb	http://deb.debian.org/debian-security bookworm-security main contrib non-free-firmware non-free
+deb-src	http://deb.debian.org/debian-security bookworm-security main contrib non-free-firmware non-free
 
 deb	http://deb.debian.org/debian bookworm-updates main contrib non-free-firmware non-free
 deb-src	http://deb.debian.org/debian bookworm-updates main contrib non-free-firmware non-free
diff --git a/meta/conf/distro/debian-bullseye.list b/meta/conf/distro/debian-bullseye.list
index 70ec8ef9..db1d98f1 100644
--- a/meta/conf/distro/debian-bullseye.list
+++ b/meta/conf/distro/debian-bullseye.list
@@ -1,8 +1,8 @@
 deb	http://deb.debian.org/debian bullseye main contrib non-free
 deb-src	http://deb.debian.org/debian bullseye main contrib non-free
 
-deb	http://deb.debian.org/debian-security/ bullseye-security main contrib non-free
-deb-src	http://deb.debian.org/debian-security/ bullseye-security main contrib non-free
+deb	http://deb.debian.org/debian-security bullseye-security main contrib non-free
+deb-src	http://deb.debian.org/debian-security bullseye-security main contrib non-free
 
 deb	http://deb.debian.org/debian bullseye-updates main contrib non-free
 deb-src	http://deb.debian.org/debian bullseye-updates main contrib non-free
diff --git a/meta/conf/distro/debian-buster.list b/meta/conf/distro/debian-buster.list
index ba496494..b3a3b769 100644
--- a/meta/conf/distro/debian-buster.list
+++ b/meta/conf/distro/debian-buster.list
@@ -1,8 +1,8 @@
 deb	http://deb.debian.org/debian buster main contrib non-free
 deb-src	http://deb.debian.org/debian buster main contrib non-free
 
-deb	http://deb.debian.org/debian-security/ buster/updates main contrib non-free
-deb-src	http://deb.debian.org/debian-security/ buster/updates main contrib non-free
+deb	http://deb.debian.org/debian-security buster/updates main contrib non-free
+deb-src	http://deb.debian.org/debian-security buster/updates main contrib non-free
 
 deb	http://deb.debian.org/debian buster-updates main contrib non-free
 deb-src	http://deb.debian.org/debian buster-updates main contrib non-free
diff --git a/meta/conf/distro/debian-common.conf b/meta/conf/distro/debian-common.conf
index 65b5b083..92a15404 100644
--- a/meta/conf/distro/debian-common.conf
+++ b/meta/conf/distro/debian-common.conf
@@ -40,4 +40,4 @@ COMPAT_DISTRO_ARCH:amd64 = "i386"
 COMPAT_DISTRO_ARCH:arm64 = "armhf"
 
 # snapshot mirror for reproducible builds
-DISTRO_APT_SNAPSHOT_PREMIRROR ??= "deb.debian.org/(.*) snapshot.debian.org/archive/\1/${ISAR_APT_SNAPSHOT_DATE}/\n"
+DISTRO_APT_SNAPSHOT_PREMIRROR ??= "deb.debian.org/(.*) snapshot.debian.org/archive/\1/${ISAR_APT_SNAPSHOT_DATE}\n"
diff --git a/meta/conf/distro/debian-trixie.list b/meta/conf/distro/debian-trixie.list
index 4f5f665d..d0b042ce 100644
--- a/meta/conf/distro/debian-trixie.list
+++ b/meta/conf/distro/debian-trixie.list
@@ -1,8 +1,8 @@
 deb	http://deb.debian.org/debian trixie main contrib non-free-firmware non-free
 deb-src	http://deb.debian.org/debian trixie main contrib non-free-firmware non-free
 
-deb	http://deb.debian.org/debian-security/ trixie-security main contrib non-free-firmware non-free
-deb-src	http://deb.debian.org/debian-security/ trixie-security main contrib non-free-firmware non-free
+deb	http://deb.debian.org/debian-security trixie-security main contrib non-free-firmware non-free
+deb-src	http://deb.debian.org/debian-security trixie-security main contrib non-free-firmware non-free
 
 deb	http://deb.debian.org/debian trixie-updates main contrib non-free-firmware non-free
 deb-src	http://deb.debian.org/debian trixie-updates main contrib non-free-firmware non-free